package com.xjrsoft.common.enums;

/**
 * @author dzx
 * @date 2023/12/1
 * 学籍状态
 */
public enum ArchivesStatusEnum {

    /**
     * 在读
     * */
    FB2901("FB2901", "在读"),
    /**
     * 休学
     * */
    FB2902("FB2902", "休学"),
    /**
     * 转学转出
     * */
    FB2903("FB2903", "转学转出"),
    /**
     * 退学
     * */
    FB2904("FB2904", "退学"),
    /**
     * 开除学籍
     * */
    FB2905("FB2905", "开除学籍"),
    /**
     * 取消学籍
     * */
    FB2906("FB2906", "取消学籍"),
    /**
     * 毕业
     * */
    FB2907("FB2907", "毕业"),
    /**
     * 在读
     * */
    FB2908("FB2908", "肄业"),
    /**
     * 在读
     * */
    FB2909("FB2909", "结业"),
    /**
     * 在读
     * */
    FB2910("FB2910", "取消入学资格");

    final String code;
    final String value;

    public String getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    ArchivesStatusEnum(final String code, final String message) {
        this.code = code;
        this.value = message;
    }
}
